#
# spec file for package python-ironic-inspector-client
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global sname python-ironic-inspector-client
Name:           python-ironic-inspector-client
Version:        1.9.0
Release:        2.3
Summary:        Python client and CLI tool for Ironic Inspector
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            https://launchpad.net/%{sname}
Source0:        https://pypi.io/packages/source/p/%{sname}/%{sname}-%{version}.tar.gz
BuildRequires:  openstack-macros
BuildRequires:  python-devel
BuildRequires:  python-fixtures >= 3.0.0
BuildRequires:  python-mock >= 2.0
BuildRequires:  python-requests-mock >= 1.0
Requires:       python-cliff >= 1.15.0
Requires:       python-keystoneauth1 >= 2.10.0
Requires:       python-openstackclient >= 2.1.0
Requires:       python-osc-lib >= 0.4.0
Requires:       python-oslo.i18n >= 2.1.0
Requires:       python-oslo.utils >= 3.16.0
Requires:       python-requests >= 2.10.0
Requires:       python-six >= 1.9.0
BuildArch:      noarch

%description
Ironic Inspector is an auxiliary service for discovering hardware properties
for a node managed by OpenStack Ironic. Hardware introspection or hardware
properties discovery is a process of getting hardware parameters required for
scheduling from a bare metal node, given its power management credentials
(e.g. IPMI address, user name and password).

This package contains Python client and command line tool for Ironic Inspector.

%prep
%setup -q -n %{sname}-%{version}

%build
%{py2_build}

%install
%{py2_install}

%check
%{__python2} setup.py testr

%files
%doc README.rst
%license LICENSE
%{python2_sitelib}/ironic_inspector_client
%{python2_sitelib}/*.egg-info

%changelog
* Sun Oct  2 2016 dmueller@suse.com
- update to 1.9.0:
  * Sync tools/tox_install.sh
  * Using assertIsNone() is preferred over assertIs(None,..)
  * Switch to osc-lib instead of cliff
  * Add functional tests for CLI
  * Updated from global requirements
  * Increase verbosity for functional tests
  * Add functional test for wait_for_finish
  * Use constraints for all the things
  * Fix functional tests broken by the latest refactoring
  * Deprecate global functions in favor of ClientV1 methods
  * Updated from global requirements
  * Updated from global requirements
  * Add Python 3.5 tox env and detailed setup.cfg classifiers
  * Updated from global requirements
  * Add a test dependency on requests-mock
* Thu Sep  1 2016 tbechtold@suse.com
- Initial packaging (version 1.8.0)
